# Results

class parfive.Results(*args, errors=None)

  Bases: `UserList`

  The results of a download from `parfive.Downloader.download`.

  This object contains the filenames of successful downloads as well as a list of any errors encountered in the `errors` property.

  Attributes Summary

  `errors` | A list of errors encountered during the download.

  Methods Summary

  `add_error`(filename, url, exception) | Add an error to the results.

  Attributes Documentation

  errors

    A list of errors encountered during the download.

    The errors are represented as a tuple containing `(filepath, url, exception)` where `filepath` is a function for generating a filepath, `url` is the url to be downloaded and `exception` is the error raised during download.

  Methods Documentation

  add_error(filename, url, exception)

    Add an error to the results.